package apollo.ares;

/**

 * @author Konrad Rzeszutek (konrad@darnok.org)
 * @version $Id: JiniListner.java,v 1.2 2002/04/28 19:14:11 uid500 Exp $
 */

import net.jini.lease.*;
import net.jini.core.lookup.*;
import net.jini.discovery.*;
import net.jini.core.discovery.*;
import net.jini.core.event.*;
import net.jini.core.lease.*;
import java.rmi.*;
import java.rmi.server.*;
import java.io.*;
import apollo.common.jini.JiniServerComponentInfo;

class JiniListner extends UnicastRemoteObject implements RemoteEventListener,
   Serializable{

    //Private Variable Declaration
    private ServiceTemplate template;
    private ServerFinder finder;

    public JiniListner(ServiceTemplate template, ServerFinder finder) throws
      java.rmi.RemoteException{
	this.template = template;
        this.finder = finder;

    }

    public void notify(RemoteEvent e) throws UnknownEventException,
      java.rmi.RemoteException{


	ServiceRegistrar registrar = (ServiceRegistrar)e.getSource( );
	//System.out.println(registrar);

	try{
	    ServiceMatches services = registrar.lookup(template,
              Integer.MAX_VALUE);
	    // get the locator associated with this service
	    LookupLocator locator = registrar.getLocator( );
	    for(int j =0; j< services.items.length; j++){
		if(services.items[j].service != null){
                    //System.out.println("(notify(RemoteEvent)");
                    JiniServerComponentInfo info =
                      (JiniServerComponentInfo)services.items[j].service;
                    System.out.println(info.getRMIHost());
                    finder.newRegistrar(info);
		}//end if
	    }//end for
	}catch(Exception ex){
	    //System.out.println("VideoOo"+ex.getMessage());
	}

    }
}