package apollo.common;

/**
 * @author Konrad Rzeszutek (konrad@darnok.org)
 * @version $Id: FaceDetectionEventGenerator.java,v 1.4 2002/04/16 19:21:27 uid500 Exp $
 */
import java.io.*;
import apollo.common.events.*;
public interface FaceDetectionEventGenerator {

  /**
   * Opens up a saved FaceDetectionEvent and notifies listeners of a new
   * event.
   *
   * @param fileName  Full location of the file
   * @exception IOException if there are problems reading the event
   * @exception ClassNotFoundException problems unmarshelling - wrong version of
   *  FaceDetectionEvent
   * @exception FileNotFoundException - pretty much self-explanatory.
   */
  public  void readEvent(String fileName) throws IOException,
      ClassNotFoundException,FileNotFoundException;
  /**
   * Save the event
   */
  //private void saveEvent() throws IOException;

  /**
   * Registers a listener for the FaceDetectionEvents.
   *
   *
   */
 public  void addFaceDetectionEvent(FaceDetectionEventListener l);

 /**
   * Unregisters a listener from the FaceDetectionEvents.
   */
 public  void removeFaceDetectionEvent(FaceDetectionEventListener l);

}
