package apollo.common.client;

/**
 *
 * $Log: ClientList.java,v $
 * Revision 1.2  2002/04/14 01:25:19  uid500
 * Added comments.
 *
 * Revision 1.1.1.1  2002/03/30 18:51:33  uid500
 * Apollo src code import
 *
 * @author Konrad Rzeszutek (konrad@darnok.org)
 * @version $Id:
 */
import java.util.*;

/**
 * List of clients.
 */
public class ClientList {

  private Vector v;
  /**
   * Constructs the list of clients with no elements on it
   */
  public ClientList() {
    v = new Vector(32);
  }

  /**
   * Adds the specified element to the list in a unspecified position.
   * The capacity of the list is increased by one.
   *
   * @param c the Client to be added
   * @see Client
   */
  public synchronized void  addElement(Client c) {

    v.add((Object) c);
  }

  /**
   * Gets a specific Client
   *
   * @return i   index of the Client to return
   */
  public Client getElement(int i) throws ArrayIndexOutOfBoundsException{

    return ((Client)v.get(i));
  }

  /**
   * Removes a specific Client from the list
   *
   */
  public synchronized void removeElement(Client s) {

    v.remove((Object)s);

  }
  /**
   * Gets the amount of clients.
   */
  public int length() {

    return v.size();
  }

  /**
   * Retrieve the String representation of the list
   *
   */
  public String toString() {

    String z = "";
    if (v.size() > 0) {
      Collections.sort(v);
      for (int i = 0; i<length();i++)
        z+= getElement(i) +"\n";
    }
    return z;
  }


}
