package apollo.common.gui;

/**
 * @author Konrad Rzeszutek (konrad@darnok.org)
 * @version $Id: ClientListFrame.java,v 1.3 2002/04/16 19:21:36 uid500 Exp $
 */
import javax.swing.JTable;
import javax.swing.JScrollPane;

import javax.swing.table.AbstractTableModel;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import apollo.common.client.*;

/**
 * JInternalFrame with a JTable.
 *
 * Used to display the list of clients along with their information:
 * ip, name, event and frame count.
 */
public class ClientListFrame extends JInternalFrame{

  private TableSorter sorter;
  private JTable table;
  private MyTableModel myModel;
  protected ClientList list;

  public ClientListFrame() {

     super("Clients",
              true, //resizable
              false, //closable
              true, //maximizable
              true);//iconifiable

      myModel = new MyTableModel();
      sorter = new TableSorter(myModel);

      table = new JTable(myModel);

      table.setPreferredScrollableViewportSize(new Dimension(500, 70));


        //Create the scroll pane and add the table to it.
        JScrollPane scrollPane = new JScrollPane(table);

        //Add the scroll pane to this window.
        getContentPane().add(scrollPane, BorderLayout.CENTER);
        setSize(300,300);
    }

    public void refresh(ClientList list) {

        this.list = list;

        sorter = new TableSorter(myModel);
        //sorter.setModel(myModel);
        table.setModel(sorter);
        table.updateUI();
      /*
        table = null;
        //this.list = null;
        this.list = list;
        sorter = new TableSorter(myModel);
        table = new JTable(myModel);
        //table.updateUI();
      */
    }
  class MyTableModel extends AbstractTableModel {


        String[] columnNames = {"IP",
                          "Name",
                          "# Events",
                          "# Frames"};


      public int getColumnCount() {
            return columnNames.length;
        }

        public int getRowCount() {

            if (list != null)
              return list.length();

            return 0;
        }

        public String getColumnName(int col) {
            return columnNames[col];
        }

        public Object getValueAt(int row, int col) {
          // RMI
          if (list != null) {
            switch (col) {

              case 0: { return list.getElement(row).getHost();  }
              case 1: { return list.getElement(row).getName();  }
              case 2: { return new Integer(list.getElement(row).getEvents());  }
              case 3: { return new Integer(list.getElement(row).getFrames());  }
            }
          }
          return null;
        }
      }

}
