package apollo.common.gui;

import javax.swing.*;
import java.awt.*;

import apollo.common.FaceDetectionEvent;
//import com.borland.jbcl.layout.*;
/**
 * Title:        Apollo - Dynamic Distributed Face Recognition Security System
 * Copyright:    Copyright (c) 2002
 * Company:      www.darnok.org
 * @author Konrad Rzeszutek (konrad@darnok.org)
 * @version $Id: FaceDetectionWindow.java,v 1.5 2002/04/28 19:14:17 uid500 Exp $
 */

public class FaceDetectionWindow extends JInternalFrame {

  ImageIcon cameraIcon;
  ImageIcon matchedIcon;
  JPanel mainSouthPanel = new JPanel();
  JPanel mainNorthPanel = new JPanel();
  BorderLayout borderLayout2 = new BorderLayout();
  JPanel northsWest = new JPanel();
  JPanel northsEast = new JPanel();
  BorderLayout northsWestLayout = new BorderLayout();
  JPanel cameraPanel = new JPanel();
  JLabel cameraText = new JLabel();
  JPanel matchedPanel = new JPanel();
  JLabel matchedText = new JLabel();
  BorderLayout northsEastLayout = new BorderLayout();
  JLabel matchedLabel = new JLabel();
  JLabel cameraLabel = new JLabel();

  JTextPane infoField = new JTextPane();
  private String info;
//  BoxLayout2 mainSouthLayout = new BoxLayout2();

  public FaceDetectionWindow(FaceDetectionEvent e) {

    // Event .. from ther eget the ID
   super("Event from: "+e.getHost()+" ("+e.getDate()+")",
              false, //resizable
              true, //closable
              false, //maximizable
              true);//iconifiable

   info = "<html><body>"+
      "<table width=100% border=0>"+
        "<tr>" +
         "<td with=40% valign=top> "+
         "<font color=blue>Host:</font> "+e.getHost()+
          "</td>"+
         "<td width=60% rowspan=3 valign=top>"+
          "<font color=blue>Description:</font> "+e.getDescription()+
         "</td>"+
        "</tr>"+
        "<tr><td><font color=blue>Location:</font> "+e.getLocation()+"</td></tr>"+
        "<tr><td><font color=blue>Date:</font> "+e.getDate()+"</td></tr>"+
        "<tr><td colspan=2><font color=blue>Saved as:</font> "
          +e.getUniqueName()+"</td></tr>"+
        "</table>"+
     "</body></html>";

     cameraIcon = new ImageIcon(e.getCameraImage());
     matchedIcon = new ImageIcon(e.getMatchedImage());

    mainSouthPanel.setLayout(new BorderLayout());
    mainNorthPanel.setLayout(borderLayout2);
    northsWest.setLayout(northsWestLayout);
    cameraText.setText("Camera input:");
    matchedText.setText("Matching:");
    northsEast.setLayout(northsEastLayout);
    northsEast.setAlignmentX((float) 10.0);
    matchedLabel.setToolTipText("Recognized image from Nemesis");
    matchedLabel.setIcon(matchedIcon);
    cameraLabel.setToolTipText("Image retrieved from the camera");
    cameraLabel.setIcon(cameraIcon);


    infoField.setEnabled(false);
    infoField.setEditable(false);
    infoField.setContentType("text/html");
    infoField.setText(info);
    this.getContentPane().add(mainNorthPanel, BorderLayout.NORTH);
    mainNorthPanel.add(northsWest, BorderLayout.WEST);
    northsWest.add(cameraPanel, BorderLayout.SOUTH);
    cameraPanel.add(cameraLabel, null);
    northsWest.add(cameraText, BorderLayout.CENTER);
    mainNorthPanel.add(northsEast, BorderLayout.EAST);
    northsEast.add(matchedText, BorderLayout.CENTER);
    northsEast.add(matchedPanel, BorderLayout.SOUTH);
    matchedPanel.add(matchedLabel, null);
    this.getContentPane().add(mainSouthPanel, BorderLayout.CENTER);
    mainSouthPanel.add(infoField, BorderLayout.CENTER);

    setSize(680,430);
    setLocation(20,20);
    this.setVisible(true);

  }
}