package apollo.common.gui;

/**
 *
 * @author Konrad Rzeszutek (konrad@darnok.org)
 * @version $Id: LogFrame.java,v 1.6 2002/04/28 19:14:17 uid500 Exp $
 */
import java.awt.event.*;
import java.awt.*;
import javax.swing.*;
import java.util.*;
import java.io.*;
import java.text.*;
import apollo.common.Log;
/**
 * Logging facility.
 *
 */
public class LogFrame extends JInternalFrame implements Log{

    private JTabbedPane tabbedPanel = new JTabbedPane();
    private ArrayList textTabs = new ArrayList();
    private ArrayList compTabs = new ArrayList();
    private ArrayList tabs = new ArrayList();
    private SimpleDateFormat sdf;
    private JFrame frame;
    public LogFrame() {
        super("Log",
              false, //resizable
              false, //closable
              true, //maximizable
              true);//iconifiable

        //...Create the GUI and put it in the window...
        tabbedPanel.setPreferredSize(new Dimension(640,367));
        this.getContentPane().add(tabbedPanel, BorderLayout.NORTH);
        //...Then set the window size or call pack...
        // How about getting these values from somewhere else?
        setSize(640,400);

        sdf = new java.text.SimpleDateFormat("(HH:mm MM/dd/yy) ");
    }

    public void println(String m, String t) {


      JTextArea tab = null;
      JScrollPane pane = null;
      JPanel panel = null;
      int j = 0;
      int index = -1;
      Iterator i = textTabs.iterator();

      while (i.hasNext() && (index == -1)) {
        if ( ((String)(i.next())).compareToIgnoreCase(t) == 0 )  index = j;
        j++;
      }

      if (index == -1) {
        tab = new JTextArea();
        pane = new JScrollPane(tab,JScrollPane.VERTICAL_SCROLLBAR_ALWAYS,
          JScrollPane.HORIZONTAL_SCROLLBAR_ALWAYS);
        panel = new JPanel(new BorderLayout());
        // JTextArea list
        compTabs.add(tab);
        // Text area - title
        textTabs.add(t);
        // Panel
        tabs.add(panel);
        panel.add(pane, BorderLayout.CENTER);
        tabbedPanel.add(t,panel);

        index = compTabs.size()-1;
      }
      String time = sdf.format(new java.util.Date());
      tab = ((JTextArea)compTabs.get(index));
      tab.setText(tab.getText()+"\n"+time+m);
      tabbedPanel.setSelectedComponent(((JPanel)tabs.get(index)));
      System.out.println(t+":"+m);
    }
    public boolean fatalError(String m) {

      JOptionPane.showMessageDialog(this, m, "Fatal Error",JOptionPane.ERROR_MESSAGE);

      return true;

    }
    public void normalError(String m) {

      JOptionPane.showMessageDialog(this, m, "Error",JOptionPane.INFORMATION_MESSAGE);
    }
}