/**
 * @author:	Konrad Rzeszutek <konrad@darnok.org>
 *
 * $Log: JiniServerComponentInfo.java,v $
 * Revision 1.3  2002/04/14 01:25:28  uid500
 * Added comments.
 *
 * Revision 1.2  2002/04/01 03:00:25  uid500
 * Made the Jini service registration easier
 *
 * Revision 1.1.1.1  2002/03/30 18:51:33  uid500
 * Apollo src code import
 *
 *
 * @version: $Id: JiniServerComponentInfo.java,v 1.3 2002/04/14 01:25:28 uid500 Exp $
 */

package apollo.common.jini;
import java.rmi.*;

public interface JiniServerComponentInfo extends Remote {

  public static final String MORS     = "Mors";
  public static final String NEMESIS  = "Nemesis";
  public static final String DEMETER  = "Demeter";
  public static final String HERMES  = "Hermes";

    /**
     * Get the hostname on which the RMI server is residing.
     *
     * @return  != null
     */
    public String getRMIHost( ) throws RemoteException;
    /**
     * Get the port on which the RMI server is listening.
     *
     * @return -1 if its the default RMI port, otherwise >=0
     *
     */
    public int getRMIPort()	throws RemoteException;

    /**
     * Get the type of the RMI service name being called.
     *
     * @return  != null
     */
    public String getRMIName()	throws RemoteException;
}
