package apollo.common.tui;

/**
 * @author Konrad Rzeszutek (konrad@darnok.org)
 * @version $Id: TextLog.java,v 1.2 2002/04/14 01:25:39 uid500 Exp $
 */
import apollo.common.Log;
public class TextLog implements Log{


  /**
   * Print the <code>m</code> message with <code>e</code> level
   */
  public void println(String m, String e) {
    System.out.println("["+e+" ] "+ m);
  }

  /**
   * Prints the <code>m</code> message as normal level problem.
   */
  public void normalError(String m) {
    System.out.println(m);
  }

  /**
   * Fatal error. Make the user acknowledge.
   *
   * @return true if the requires the system to be terminated.
   *
   */
  public boolean fatalError(String m) {
    System.err.println("[Fatal Error] "+m);
    return true;
  }
}