package apollo.demeter.gui;

/**
 * @author Konrad Rzeszutek (konrad@darnok.org)
 * @version $Id: DemeterFrame.java,v 1.4 2002/04/28 19:14:25 uid500 Exp $
 */
import javax.swing.*;
import apollo.common.*;
import apollo.demeter.client.DemeterClient;
import java.awt.*;
/**
 * The GUI component displaying the frame saved (at some point in the last 10
 * seconds), the host, name and from which the frame was received.
 *
 */
public class DemeterFrame extends JInternalFrame {
  //private ImageIcon image;
  private DemeterClient client;
  private BorderLayout borderLayout1 = new BorderLayout();
  private JPanel infoPanel = new JPanel();
  private JLabel labelHost = new JLabel();
  private JLabel labelName = new JLabel();
  private JLabel labelFrame = new JLabel();
  private GridLayout gridLayout1 = new GridLayout();
  private JLabel labelImage = new JLabel();

  /**
   * The GUI frame displaying the information about the DemeterClient.
   */
  public DemeterFrame(DemeterClient client) {

          super("Client ("+client.getHost()+")",
              false, //resizable
              false, //closable
              false, //maximizable
              true);//iconifiable

      this.client = client;
        //...Create the GUI and put it in the window...
        //this.getContentPane().add(tabbedPanel, BorderLayout.NORTH);
        //...Then set the window size or call pack...
        // How about getting these values from somewhere else?
      setSize(320,360);

        //Set the window's location.

      labelImage.setToolTipText("Saved image, refreshed every 10 seconds");


      labelHost.setText("<html><font color=blue>Host</font>: "+client.getHost());
      labelName.setText("<html><font color=blue>Name:</font>: "+client.getName());
      labelFrame.setText("<html><font color=blue>Frames saved: </font>"+
        client.getFrames());

      infoPanel.setLayout(gridLayout1);
      gridLayout1.setRows(3);
      gridLayout1.setColumns(1);
      gridLayout1.setHgap(5);
      gridLayout1.setVgap(5);
      infoPanel.add(labelFrame, null);
      infoPanel.add(labelHost, null);
      infoPanel.add(labelName, null);

      this.getContentPane().setLayout(borderLayout1);
      this.getContentPane().add(infoPanel, BorderLayout.SOUTH);
      this.getContentPane().add(labelImage, BorderLayout.NORTH);

    }

  /**
   * Updates the image and frmae count on the screen.
   *
   */
  public void setImage(byte[] img) {

    labelFrame.setText("<html><font color=blue>Frames saved: </font>"+client.getFrames());
    labelImage.setIcon(new ImageIcon(img));
  }
}