package apollo.demeter.rmi;

/**
 * $Log: DemeterRMIInterface.java,v $
 * Revision 1.4  2002/04/16 19:23:05  uid500
 * Added connectionOk()
 *
 * Revision 1.3  2002/04/14 01:25:48  uid500
 * Added comments.
 *
 * Revision 1.2  2002/04/07 03:37:49  uid500
 * Added Exceptions
 *
 * Revision 1.1  2002/04/06 21:37:21  uid500
 * RMI server side for Demeter
 *
 * @author Konrad Rzeszutek (konrad@darnok.org)
 * @version $Id: DemeterRMIInterface.java,v 1.4 2002/04/16 19:23:05 uid500 Exp $
 */
import java.rmi.Remote;
import java.rmi.RemoteException;
import java.net.*;
import apollo.common.events.*;
import javax.media.*;

public interface DemeterRMIInterface extends Remote{

  public static final String DEMETER_RMI  = "apollo_demeter_server";
  /**
   * Negotiates an RTP connection to the server
   *
   * @param url The URL for the RTP stream - P-to-P connection
   */
   public void openRTP(MediaLocator url) throws RemoteException;

   /**
    * Checks the connection. Since the RTP connection is UDP, we don't know
    * if the other side still has the connection active.
    */
   public void isConnectionOk() throws RemoteException;
   /**
    * Notifies the server that the client wishes to terminate the
    * RTP connection.
    *
    * @param url  The clients URL used in establishing the connection
    */
  public void closeRTP(MediaLocator url) throws RemoteException,
    IsNotRegisteredException, MalformedURLException;
}