package apollo.hermes.gui;

/**
 * @author Konrad Rzeszutek (konrad@darnok.org)
 * @version $Id: ServerListFrame.java,v 1.2 2002/04/14 01:26:35 uid500 Exp $
 */
import javax.swing.JTable;
import javax.swing.JScrollPane;

import javax.swing.table.AbstractTableModel;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import apollo.hermes.list.*;
import apollo.common.gui.*;
/**
 * The GUI used to display servers
 *
 */
public class ServerListFrame extends JInternalFrame{

  private TableSorter sorter;
  private JTable table;
  private MyTableModel myModel;
  protected ServerTypeList list;

  public ServerListFrame(String type) {

     super("Servers of "+type,
              true, //resizable
              false, //closable
              true, //maximizable
              true);//iconifiable

      myModel = new MyTableModel();
      sorter = new TableSorter(myModel);

      table = new JTable(myModel);

      table.setPreferredScrollableViewportSize(new Dimension(500, 70));


        //Create the scroll pane and add the table to it.
      JScrollPane scrollPane = new JScrollPane(table);

        //Add the scroll pane to this window.
      getContentPane().add(scrollPane, BorderLayout.CENTER);
      setSize(300,300);
    }

    /**
     * Refreshes the list of servers with the new given one.
     *
     * @param list  The list of servers of this type.
     */
    public void refresh(ServerTypeList list) {

        this.list = list;
        sorter.setModel(myModel);
        table.setModel(sorter);
        table.updateUI();

    }
  /**
   * TableModel modeling the server type information.
   *
   */
  class MyTableModel extends AbstractTableModel {


        String[] columnNames = {"Host",
                          "Port",
                          "# Max",
                          "# Current",
                          "Load"};



      public int getColumnCount() {
            return columnNames.length;
        }

        public int getRowCount() {

            if (list != null)
              return list.length();

            return 0;
        }

        public String getColumnName(int col) {
            return columnNames[col];
        }

        public Object getValueAt(int row, int col) {
          Object an = new Integer(-1);

          if (list != null) {
           try {
            switch (col) {

              case 0: { an=list.getElement(row).getHost();  break;}
              case 1: { an=new Integer(list.getElement(row).getPort());  break;}
              case 2: { an=new Integer(list.getElement(row).getMaxClients());  break;}
              case 3: { an=new Integer(list.getElement(row).getNrClients());  break;}
              case 4: { an=new String(list.getElement(row).getLoad()+"%");  break;}
            }
           } catch (Exception e) { }
          }
          return an;
        }
      }

}
