package apollo.hermes.rmi;

/**
 * @author Konrad Rzeszutek (konrad@darnok.org)
 * @version 1.0
 */

import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;
import apollo.hermes.list.*;
import apollo.hermes.servers.Server;


public class HermesRMIInfo extends UnicastRemoteObject implements
   HermesRMIInterface {

  private ServersList l;
  private int ii = 0;
  private int jj = 0;
  /**
   * Initializes the common Hermes information exchange RMI portal object
   */
  public HermesRMIInfo() throws RemoteException{ }
  /**
   * Finds the server with the specfieid <code>type</code>
   *
   * @param type  Type of service
   * @return A RMI-resource name or "UNKNOWN" if can't find or if the name
   *  is wrong.
   * @see #apollo.common.jini.JiniServerComponentInfo.MORS
   * @see #apollo.common.jini.JiniServerComponentInfo.NEMESIS
   * @see #apollo.common.jini.JiniServerComponentInfo.DEMETER
   */
  public String getURLForServerType(String type) throws RemoteException {
      String q = "UNKNOWN";

      if (l != null) {
        try {
          Server a = l.getServerWithLeastLoad(type);
          if (a != null)
            q = "rmi://"+a.getHost()+":"+a.getPort()+"/";//+a.getType();
        } catch (Exception e) {
          e.printStackTrace();
        }
      }
      return q;
   }
  public void isConnectionOk() throws RemoteException {

    //return true;
  }
  public String getRTPURL() {

    ii++;
    if (ii > 254) {
      ii =0;jj++;
    }
    return "rtp://224.0."+jj+"."+ii+":45020/video";
  }
  /**
   * Register the list of servers with this class. Used to lookup
   * the specified server in getURLForServerType(String).
   */
  public void registerServersList(ServersList l) {

    this.l = l;
  }
}
