package apollo.hermes.rmi;

/**
 * $Log: HermesRMIInterface.java,v $
 * Revision 1.3  2002/04/16 19:25:44  uid500
 * ...
 *
 * Revision 1.2  2002/04/14 01:26:40  uid500
 * Added comments
 *
 * Revision 1.1  2002/04/02 02:12:01  uid500
 * Modified
 * @author Konrad Rzeszutek (konrad@darnok.org)
 * @version $Id: HermesRMIInterface.java,v 1.3 2002/04/16 19:25:44 uid500 Exp $
 */

import apollo.common.events.*;
import apollo.common.FaceDetectionEvent;
import apollo.common.client.*;
import java.rmi.Remote;
import java.rmi.RemoteException;
import apollo.hermes.servers.Server;


public interface HermesRMIInterface extends Remote {

  public static final String HERMES_RMI  = "apollo_hermes";

  /**
   * Finds the server with the specfieid <code>type</code>
   *
   * @param type  Type of service
   * @return A RMI-resource name or "UNKNOWN" if can't find or if the name
   *  is wrong.
   * @see #apollo.common.jini.JiniServerComponentInfo.MORS
   * @see #apollo.common.jini.JiniServerComponentInfo.NEMESIS
   * @see #apollo.common.jini.JiniServerComponentInfo.DEMETER
   */
   public String getURLForServerType(String type) throws RemoteException;

   public String getRTPURL() throws RemoteException;

   public void isConnectionOk() throws RemoteException;
}
