package apollo.mors.rmi;

/**
 *
 * $Log: MorsRMIInterface.java,v $
 * Revision 1.4  2002/04/16 19:25:56  uid500
 * Added input for RMI...
 *
 * Revision 1.3  2002/04/14 01:27:02  uid500
 * Added comments
 *
 * Revision 1.2  2002/04/01 03:01:57  uid500
 * Took out stale code
 *
 * Revision 1.1.1.1  2002/03/30 18:51:33  uid500
 * Apollo src code import
 *
 * Copyright:    Copyright (c) 2002
 * Company:      www.darnok.org
 *
 * @author Konrad Rzeszutek (konrad@darnok.org)
 * @version $Id: MorsRMIInterface.java,v 1.4 2002/04/16 19:25:56 uid500 Exp $
 */

import apollo.common.events.*;
import apollo.common.FaceDetectionEvent;
import apollo.common.client.*;
import java.rmi.Remote;
import java.rmi.RemoteException;
/**
 * This service recevies the events confirming a face-recognition match.
 *
 * The RMI Interface is the transportation layer for such events. First
 * the client has to register, then it is allowed to send events.
 */
public interface MorsRMIInterface extends Remote {

  public static final String MORS_RMI  = "apollo_mors_v1.00_(mors_server)";


    /**
     * Sends an event to the Mors server. The client sending it has to be
     * registered, otherwise the event is discarded.
     *
     * @throws IsNotRegisteredException if the autor of the <code>c</c> has not
     * been registered
     */
    public void sendEvent(FaceDetectionEvent e, Client c) throws        RemoteException;

    public void isConnectionOk() throws RemoteException;
}
