package apollo.nemesis;

import apollo.common.*;
import apollo.nemesis.gui.*;
import javax.swing.*;
/**

 * @author Konrad Rzeszutek (konrad@darnok.org)
 * @version $Id: FaceRecognition.java,v 1.2 2002/04/28 19:14:37 uid500 Exp $
 */

public class FaceRecognition {

  private LoaderGUI loader = null;
  private EigenFaceCreator creator;
  private Log log;
  private Daemon d;

  public FaceRecognition(Log log, Daemon d) {

    this.log = log;
    this.d = d;

    creator = new EigenFaceCreator(this);
  }
  /*
  Whgat about changing the threshold?
  */
  public void constructFacesFrom(String dir) {

    try {
      creator.readFaceBundles(dir);
    } catch (Exception e) {
      //e.printStackTrace();
      if (log.fatalError(e.getMessage())) d.exitDaemon();
    }

  }
  public void notify(String[] f,  int i, int l) {
    log.println("Reading "+f[0]+" till "+f[f.length-1]+" ("+i+" out of "+l+")",
       Log.INFO);
    if (loader != null)
      loader.process(f, i, l);
  }
  public void checking(int i, int l) {

    log.println("Matching faces ("+i+" set out of "+l+")", Log.INFO);
    if (loader != null)
      loader.checking(i,l);
  }
// How aobut distance oto?
  public synchronized String[] submit(String f) {
  // Return the ID of the file.
    String[] ans = new String[2];
    creator.clearSubmitted();

    try {

      ans[0] = creator.checkAgainst(f);
      ans[1] = Double.toString(creator.DISTANCE);
      System.out.println(creator.DISTANCE);
      if (ans[0] != null) {
        ans[0] = creator.ROOT_DIR+"/"+ans[0];
        log.println("Recognized "+f+" with "+ans[0]+", distance "+
          ans[1],Log.INFO);
        if (loader != null)
          loader.recognized(ans[0], ans[1]);
      } else
        ans = null;
    } catch (Exception e) {
      //e.printStackTrace();
      log.println(e.getMessage(),Log.ERROR);
      ans = null;
    }
    return ans;
  }

  public byte[] getByte(String f) {
    byte[] a = null;
  // Find the damm file.
    try {
      a = creator.readImageByte(f);

    } catch (Exception e) {
      log.normalError(e.getMessage());
    }
    return a;
  }


  public JInternalFrame getComponent() {
    if (loader == null)
     loader = new LoaderGUI();
    return loader;
  }
}