package apollo.nemesis.gui;

/**
 * @author Konrad Rzeszutek (konrad@darnok.org)
 * @version $Id: LoaderGUI.java,v 1.2 2002/04/28 19:14:39 uid500 Exp $
 */

import javax.swing.*;
import java.awt.*;
/**
 * The GUI used to display servers
 *
 */
public class LoaderGUI extends JInternalFrame{

  private JProgressBar progressBar = null;
  private JTextPane taskOutput = null;
  private String info = "<font color=blue>Initializing face database</font>";
  public LoaderGUI() {

     super("Face Recognition ",
              false, //resizable
              false, //closable
              false, //maximizable
              true);//iconifiable

        setSize(320,360);
        progressBar = new JProgressBar();
        progressBar.setValue(0);
        progressBar.setStringPainted(true);

        taskOutput = new JTextPane(); //5, 20);
        taskOutput.setContentType("text/html");
        taskOutput.setText(info);
        taskOutput.setMargin(new Insets(5,5,5,5));
        taskOutput.setEditable(false);

        JPanel panel = new JPanel();

        panel.add(progressBar);

        JPanel contentPane = new JPanel();
        contentPane.setLayout(new BorderLayout());
        contentPane.add(panel, BorderLayout.NORTH);
        contentPane.add(new JScrollPane(taskOutput), BorderLayout.CENTER);
        contentPane.setBorder(BorderFactory.createEmptyBorder(20, 20, 20, 20));
        this.getContentPane().add(contentPane);
  }
  public void process(String[] s, int start, int length) {
// Slider bar or just textArea
// Status bar..
    //System.out.println(s[0] + " to: "+s[s.length-1]+", ("+start+" out of "+length+")");

    info +=  "<br> <font color=red>"+s[0] + "</font> to <font color=red>"+
      s[s.length-1]+"</font>, ("+start+" out of "+length+")";
    taskOutput.setText(info);
    progressBar.setMaximum(length);
    progressBar.setValue(start);

  }
  public void checking(int i, int l) {

    info = "<br>Matching face ("+i+" set out of "+l+")" + info;
    taskOutput.setText(info);
    progressBar.setMaximum(l);
    progressBar.setValue(i);
  }
  public void recognized(String f, String dist) {
// A big message maybe?
    info = "<br>Recognized <font color=blue>"+f+"</font>; distance <font "+
      "color=red>"+dist+"</font>" + info;
    taskOutput.setText(info);

  }
}