package apollo.nemesis.jini;

import apollo.common.jini.JiniServerComponentInfo;
import java.rmi.RemoteException;
import java.io.Serializable;

public class JiniNemesisInfo implements JiniServerComponentInfo , Serializable{


    private String host;
    private int port;

    /**
     * Initializes the Jini Info Portal.
     *
     * @param	h	hostname of the server on which the RMI server is residing.
     * @param	p	port (if not the default) where the RMI server is listening
     */
    public JiniNemesisInfo(String h, int p) {

	port = p;
	host = h;
    }
    /**
     * Get the hostname on which the RMI server is residing.
     *
     * @return  != null
     */
    public String getRMIHost( ) throws RemoteException {

	return host;
    }
    /**
     * Get the port on which the RMI server is listening.
     *
     * @return -1 if its the default RMI port, otherwise >=0
     *
     */
    public int getRMIPort()	throws RemoteException {

	return port;
    }

    /**
     * Get the RMI name.
     *
     *
     * @return  != null
     */
    public String getRMIName()	throws RemoteException {

	return JiniServerComponentInfo.NEMESIS;
    }
}
