package apollo.nemesis.rmi;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.net.*;
import apollo.common.events.*;
import apollo.common.client.*;
import javax.media.*;

public interface NemesisRMIInterface extends Remote{

  public static final String NEMESIS_RMI  = "apollo_nemesis_server";
  /**
   * Negotiates an RTP connection to the server
   *
   * @param url The URL for the RTP stream - P-to-P connection
   */
   public void register(MediaLocator url, Client c) throws RemoteException;

   /**
    * Checks the connection. Since the RTP connection is UDP, we don't know
    * if the other side still has the connection active.
    */
   public boolean isConnectionOk() throws RemoteException;
   /**
    * Notifies the server that the client wishes to terminate the
    * RTP connection.
    *
    * @param url  The clients URL used in establishing the connection
    */
  public void unregister(MediaLocator url, Client c) throws RemoteException,
    IsNotRegisteredException, MalformedURLException;
}