package apollo.nemesis.rmi;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.net.*;
import java.rmi.server.UnicastRemoteObject;
import apollo.common.client.*;
import apollo.nemesis.*;
import apollo.common.events.*;
import javax.media.*;

/**
 *
 */
public class NemesisRMIServer extends UnicastRemoteObject
                          implements NemesisRMIInterface {

  private Queen q;
  public NemesisRMIServer() throws RemoteException {  }

  /**
   * Negotiates an RTP connection to the server
   *
   * @param url The URL for the RTP stream - P-to-P connection
   */
  public void register(MediaLocator url, Client c) throws RemoteException {


    if (q != null) {
      //System.out.println("Registering ..");
      q.register(url,c);
    } else
      System.err.println("IMPLEMENTATION ERROR!");
  }
  /**
    * Checks the connection. Since the RTP connection is UDP, we don't know
    * if the other side still has the connection active.
    */
  public boolean isConnectionOk() throws RemoteException {

   return true;
  }
   /**
    * Notifies the server that the client wishes to terminate the
    * RTP connection.
    *
    * @param url  The clients URL used in establishing the connection
    */
  public void unregister(MediaLocator url, Client c) throws RemoteException,
    IsNotRegisteredException,MalformedURLException {

    if (q != null) {
      q.unregister(url,c);
    } else
      System.err.println("IMPLEMENTATION ERROR!");
  }

  public void registerQueen(Queen q) {
    this.q = q;
  }
}